#ifndef cGameObject_H
#define cGameObject_H

#include <windows.h>
class cGame;

// 런타임 객체 식별자
enum eGameObjectClassID{
	CLASS_cGameObject,
	CLASS_cGamePlayer,
	CLASS_cGameEnemy,
	CLASS_cGameShot,
	CLASS_cGameItem,
	CLASS_cGameEffect
};

enum eActReturnValues{
	ARV_REMOVE = -1,
	ARV_NORMAL = 0,
};

class cGameObject{
private:
protected:
	int x, y; // 절대 좌표
	int PicNo; // 그림 번호

	cGame *pGame;

public:
	cGameObject();
	virtual ~cGameObject();

	// 다음 함수들은 겹지정이 필요하다.
	virtual int GetClassID(){ return CLASS_cGameObject; }
	virtual int GetPicNo(){ return 0; }
	virtual int Act(){ return ARV_NORMAL; }

	void SetGame(cGame *_pGame){ pGame = _pGame; }

};

#endif
